
Base Language - Bug #7873

conversion issues with dataset/table parameters for class events

10/04/2023 10:18 AM - Constantin Asofiei

Status: Test Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/04/2023 10:19 AM - Constantin Asofiei

FWD has problems converting class events with TABLE/DATASET parameters.  This issue is meant to explore and fix all problems with the class

event signature.

#2 - 10/04/2023 10:19 AM - Constantin Asofiei

- Assignee set to Constantin Asofiei

- Status changed from New to WIP

Created task branch 7873a from trunk rev 14766.

#3 - 10/04/2023 01:45 PM - Constantin Asofiei

- % Done changed from 0 to 100

- Status changed from WIP to Review

I've added support for DATASET, TABLE, DATASET-HANDLE, TABLE-HANDLE and BUFFER parameters for class events in 7873a rev 14767

Please review.  This needs to end up in 7156b (via trunk merge or explicit commit).

#4 - 10/04/2023 04:29 PM - Greg Shah

Code Review Task Branch 7873a Revision 14767

I'm fine with the changes.

What testing do you plan?

#5 - 10/05/2023 01:15 AM - Constantin Asofiei

Greg Shah wrote:

What testing do you plan?
I've left overnight conversion for some projects and the result is OK.  This can be merged to trunk.

#6 - 10/05/2023 06:11 AM - Greg Shah

Go ahead.

#7 - 10/05/2023 06:18 AM - Constantin Asofiei

7873a was merged to trunk rev 14767 and archived.

#8 - 10/05/2023 06:26 AM - Greg Shah

- Status changed from Review to Test
